minimum nova-compute service version is not cached in nova-api when running under wsgi

Bug #1815692 reported by Matt Riedemann on 2019-02-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Low
Unassigned
Pike
Low
Unassigned
Queens
Low
Unassigned
Rocky
Low
Unassigned
Stein
Low
Unassigned

Bug Description

Running nova-api with eventlet would cache the minimum nova-compute service version for faster lookup in the API:

https://github.com/openstack/nova/blob/0bed18ffbb46c4f2d0ec87e64a39188c165398eb/nova/cmd/api.py#L47

But that doesn't happen when running under wsgi:

https://github.com/openstack/nova/blob/0bed18ffbb46c4f2d0ec87e64a39188c165398eb/nova/api/openstack/wsgi_app.py#L44

Matt Riedemann (mriedem) on 2019-02-13
tags: added: cells
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers